<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>
            {% block title %}{% endblock title%}
        </title>
    </head>
    <body>
        <header>
            <nav>
                {% if user.is_authenticated %}
                    <ul>
                        <li><a href="{% url 'logout' %}">Logout</a></li>
                        <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                        <li><a href="{% url 'create_category' %}">Create Category</a></li>
                        <li><a href="{% url 'create_account' %}">Create Account</a></li>
                    </ul>
                {% else %}
                    <ul>
                        <li><a href="{% url 'signup' %}">Sign Up</a></li>
                        <li><a href="{% url 'login' %}">Login</a></li>
                    </ul>
                {% endif %}
            </nav>
        </header>
        <main>
        {% block content %}
        {% endblock content %}
        </main>
    </body>
</html>
